package wtf.hak.survivalfabric.mixin.client;

import net.minecraft.client.MinecraftClient;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

import net.minecraft.client.gui.DrawContext;
import net.minecraft.client.gui.hud.InGameHud;
import net.minecraft.client.render.RenderTickCounter;
import wtf.hak.survivalfabric.SurvivalFabricClient;

import java.awt.*;

@Mixin(InGameHud.class)
public class InGameHudMixin {

	private final int TEXT_COLOR = Color.GRAY.getRGB();

	@Inject(method = "render", at = @At("RETURN"))
	private void renderFPS(DrawContext context, RenderTickCounter tickCounter, CallbackInfo ci) {
		if(SurvivalFabricClient.SHOULD_SHOW_FPS) {
			MinecraftClient client = MinecraftClient.getInstance();
			context.drawTextWithShadow(client.textRenderer, client.getCurrentFps() + " FPS", 5, 5, TEXT_COLOR);
		}
	}
}