package wtf.hak.survivalfabric.mixin;

import net.minecraft.entity.Entity;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.server.world.ServerWorld;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import wtf.hak.survivalfabric.utils.Utils;

@Mixin(ServerWorld.class)
public class ServerWorldMixin {

    @Inject(method = "onDimensionChanged", at = {@At("HEAD")})
    public void onDimensionChange(Entity entity, CallbackInfo ci) {
        if(entity instanceof ServerPlayerEntity) {
            Utils.updateListNames((ServerPlayerEntity)entity);
        }
    }
}
